Updating to 2.2 Froyo on MotoDroid - ErrorsSupport


Last Updated:

  1. fpwl1399

    fpwl1399 Member This Topic's Starter

    Joined:
    Aug 19, 2010
    Messages:
    5
    Likes Received:
    0
    Newb here, in need of help.

    Since I have tried to update OTA to froyo on my droid twice unsuccessfully, I decided to do it manually, but am now having problems with that as well.

    I am following directions from here: Manual Android 2.2 Update for Motorola DROID | Droid Life: A Droid Community Blog

    I have tried both sources of the files unsuccessfully.

    First when I reboot in recovery mode I immediately get the line "E: Can't open /cache/recovery/command". I assumed that was because that directory didn't exist on my device, so I created them. But I still get the error.

    When I select apply update.zip it goes through the boot screen to about 25%. When it gets there I get the error messages listed below.

    -- Install from sdcard...
    Finding update package...
    Applying update package...
    Opening update package...
    verifying update package...
    E: Failed to verify whole-file signature
    E: signature verification failed
    Installation aborted

    Some backstory: I installed a rooted version of 2.1, but decided pretty soon after that I didn't really need the benefits of a rooted version. So I followed the directions (How To: Unroot the Motorola Droid | TheUnlockr) to unroot my droid.

    Now I am wanting Froyo pretty badly, but cannot get it.....any help is appreciated.
     

    Advertisement
  2. fpwl1399

    fpwl1399 Member This Topic's Starter

    Joined:
    Aug 19, 2010
    Messages:
    5
    Likes Received:
    0
    With further investigation/research it seems as though the 'E:failed to verify whole-file signature' is the issue. I don't know what it is, but something is wrong with my 2.1 software.

    After realizing that I would have to stick with 2.1 at least for a while longer I went to install/update my apps after a factory reset, but am now getting an error with that as well. The app install error is "Package file was not signed correctly."

    I'm guessing that the two are related, but don't know how to resolve my issue.....HELP?!?
     
  3. fpwl1399

    fpwl1399 Member This Topic's Starter

    Joined:
    Aug 19, 2010
    Messages:
    5
    Likes Received:
    0
    Well I finally figured "something" out. I thought that perhaps if I downgraded to 2.0.1 I would be able to update to 2.1-update1 without the problems described above... It was worth a shot since as soon as I booted after installing 2.0.1 it began the OTA update to 2.2.

    I haven't noticed any issues. I will be re-establishing my preferences before I go to a rooted version eventually (maybe tonight).
     

Share This Page

Loading...